%define url_ver	%(echo %{version}|cut -d. -f1,2)

# don't provide plugin .so
%global __provides_exclude_from %{_libdir}/gs-plugins-3/.*\\.so

Summary:	A software center for GNOME
Name:		gnome-software
Version:	3.24.1
Release:	%mkrel 1
License:	GPLv2+
Group:		Graphical desktop/GNOME
URL:		https://wiki.gnome.org/Apps/Software
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
BuildRequires:	gettext
BuildRequires:	intltool
BuildRequires:	xsltproc
BuildRequires:	docbook-style-xsl
BuildRequires:	desktop-file-utils
BuildRequires:	pkgconfig(appstream-glib) >= 0.5.11
BuildRequires:	pkgconfig(gio-unix-2.0)
BuildRequires:	pkgconfig(gtk+-3.0) >= 3.9.12
BuildRequires:	pkgconfig(sqlite3)
BuildRequires:	pkgconfig(libnotify)
BuildRequires:	pkgconfig(packagekit-glib2) >= 1.0.0
BuildRequires:	pkgconfig(libsoup-2.4)
BuildRequires:	pkgconfig(gsettings-desktop-schemas) >= 3.11.4
BuildRequires:	pkgconfig(gnome-desktop-3.0)
BuildRequires:	pkgconfig(packagekit-glib2)
BuildRequires:	pkgconfig(polkit-gobject-1)
BuildRequires:	pkgconfig(gtkspell3-3.0)
BuildRequires:	pkgconfig(json-glib-1.0)
BuildRequires:	pkgconfig(libsecret-1)
BuildRequires:	pkgconfig(flatpak)
BuildRequires:	pkgconfig(valgrind)
BuildRequires:	pkgconfig(rpm)
BuildRequires:	pkgconfig(gudev-1.0)
BuildRequires:	gnome-common
BuildRequires:	autoconf
Requires:	adwaita-icon-theme

%description
%{name} is an application that makes it easy to add, remove
and update software in the GNOME desktop.

%prep
%setup -q

%build
autoreconf -vfi
%configure2_5x \
	--disable-static \
	--enable-polkit \
	--enable-gnome-desktop \
	--enable-packagekit \
	--enable-flatpak \
	--enable-ostree \
	--enable-rpm \
	--enable-shell-extensions \
	--enable-gudev \
	--enable-webapps \
	--disable-tests
%make_build

%install
%make_install

#we don't want these
find %{buildroot} -name "*.la" -delete

desktop-file-validate %{buildroot}%{_datadir}/applications/*.desktop

# set up for Mageia
cat >> %{buildroot}%{_datadir}/glib-2.0/schemas/org.gnome.software-mageia.gschema.override << FOE
[org.gnome.software]
official-sources = [ 'mageia-*', 'cauldron-*', 'updates-*', 'updates_testing-*', 'backports-*', 'backports_testing-*' ]
FOE

%find_lang %name --with-gnome

%files -f %{name}.lang
%license COPYING
%doc AUTHORS NEWS README
%{_bindir}/%{name}
%{_datadir}/applications/*.desktop
%dir %{_datadir}/%{name}/
%{_datadir}/%{name}/*.png
%{_datadir}/gnome-software/featured-*.svg
%{_datadir}/gnome-software/featured-*.jpg
%{_mandir}/man1/%{name}.1.*
%{_iconsdir}/*/*/apps/*
%{_datadir}/appdata/*.appdata.xml
%{_sysconfdir}/xdg/autostart/%{name}-service.desktop
%{_datadir}/dbus-1/services/org.freedesktop.PackageKit.service
%{_datadir}/dbus-1/services/org.gnome.Software.service
%{_datadir}/glib-2.0/schemas/org.gnome.software.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gnome.software-mageia.gschema.override
%{_datadir}/gnome-shell/search-providers/*-search-provider.ini
%dir %{_libdir}/gs-plugins-*/
%{_libdir}/gs-plugins-*/*.so*
%{_libexecdir}/gnome-software-cmd
%{_libexecdir}/gnome-software-restarter
%{_datadir}/appdata/org.gnome.Software.Plugin.Epiphany.metainfo.xml
%{_datadir}/appdata/org.gnome.Software.Plugin.Flatpak.metainfo.xml
%{_datadir}/appdata/org.gnome.Software.Plugin.Odrs.metainfo.xml
%{_datadir}/appdata/org.gnome.Software.Plugin.Steam.metainfo.xml
%exclude %{_includedir}/gnome-software
%exclude %{_libdir}/pkgconfig/gnome-software.pc
%exclude %{_datadir}/gtk-doc/html/gnome-software



%changelog
* Mon Apr 10 2017 ovitters <ovitters> 3.24.1-1.mga6
+ Revision: 1096264
- new version 3.24.1

* Wed Mar 22 2017 ovitters <ovitters> 3.24.0-1.mga6
+ Revision: 1094418
- disable tests
- new version 3.24.0

* Tue Mar 14 2017 ovitters <ovitters> 3.22.7-1.mga6
+ Revision: 1092520
- new version 3.22.7

* Wed Mar 08 2017 ovitters <ovitters> 3.22.6-1.mga6
+ Revision: 1089967
- new version 3.22.6

* Mon Jan 16 2017 ovitters <ovitters> 3.22.5-1.mga6
+ Revision: 1082043
- new version 3.22.5

* Thu Dec 08 2016 ovitters <ovitters> 3.22.4-1.mga6
+ Revision: 1073205
- new version 3.22.4

* Thu Dec 01 2016 ovitters <ovitters> 3.22.3-1.mga6
+ Revision: 1071465
- new version 3.22.3
- new version 3.22.2
- new version 3.22.1

* Sun Sep 25 2016 ovitters <ovitters> 3.22.0-2.mga6
+ Revision: 1056167
- enable support for flatpak, gudev, firmware, ostree
- new version 3.22.0

* Thu Jul 21 2016 ngompa <ngompa> 3.20.4-2.mga6
+ Revision: 1042981
- Simplify official-sources override for gnome-software

* Tue Jul 12 2016 ovitters <ovitters> 3.20.4-1.mga6
+ Revision: 1041426
- new version 3.20.4

* Sun Jun 26 2016 ngompa <ngompa> 3.20.3-1.mga6
+ Revision: 1037697
- Declare all Mageia repositories as official sources
- Add gschema override for GNOME Software for Mageia

  + ovitters <ovitters>
    - new version 3.20.3
    - new version 3.20.2

* Tue Apr 12 2016 ovitters <ovitters> 3.20.1-1.mga6
+ Revision: 1000884
- new version 3.20.1

* Mon Mar 21 2016 ovitters <ovitters> 3.20.0-1.mga6
+ Revision: 993511
- new version 3.20.0

* Fri Mar 18 2016 tv <tv> 3.19.92-1.mga6
+ Revision: 992758
- adjust file list
- adjust file list
- bump needed appstream-glib version

  + ovitters <ovitters>
    - new version 3.19.92
    - new version 3.19.91
    - new version 3.19.90

* Mon Feb 15 2016 umeabot <umeabot> 3.18.3-2.mga6
+ Revision: 960466
- Mageia 6 Mass Rebuild

* Thu Nov 05 2015 ovitters <ovitters> 3.18.3-1.mga6
+ Revision: 897908
- new version 3.18.3

* Thu Oct 15 2015 ovitters <ovitters> 3.18.2-1.mga6
+ Revision: 891740
- new version 3.18.2

* Tue Oct 13 2015 ovitters <ovitters> 3.18.1-1.mga6
+ Revision: 890312
- new version 3.18.1

* Thu Sep 24 2015 tv <tv> 3.18.0-1.mga6
+ Revision: 883336
- update BR
- new release

  + ovitters <ovitters>
    - new version 3.17.92

* Tue Sep 15 2015 fwang <fwang> 3.17.91-2.mga6
+ Revision: 879520
- update file list
- rebuild for new appstream

  + ovitters <ovitters>
    - new version 3.17.91
    - new version 3.17.90
    - new version 3.16.5

* Mon Aug 03 2015 ovitters <ovitters> 3.14.7-1.mga6
+ Revision: 860888
- new version 3.14.7

* Fri Jul 24 2015 sander85 <sander85> 3.14.6-2.mga6
+ Revision: 856965
- Rebuild for new gnome-desktop3

* Sat Jun 20 2015 ovitters <ovitters> 3.14.6-1.mga6
+ Revision: 836436
- new version 3.14.6
- new version 3.14.2

* Wed Oct 15 2014 umeabot <umeabot> 3.14.1-2.mga5
+ Revision: 750806
- Second Mageia 5 Mass Rebuild

* Mon Oct 13 2014 ovitters <ovitters> 3.14.1-1.mga5
+ Revision: 738315
- new version 3.14.1

* Sun Sep 28 2014 wally <wally> 3.14.0-1.mga5
+ Revision: 731360
- new version 3.14.0

  + umeabot <umeabot>
    - Mageia 5 Mass Rebuild

  + ovitters <ovitters>
    - new version 3.13.92

* Wed Sep 03 2014 ovitters <ovitters> 3.13.91-1.mga5
+ Revision: 671191
- new version 3.13.91

* Tue Aug 19 2014 fwang <fwang> 3.13.90-1.mga5
+ Revision: 665488
- update file list
- bump br

  + ovitters <ovitters>
    - new version 3.13.90

* Mon Aug 11 2014 fwang <fwang> 3.13.4-2.mga5
+ Revision: 661623
- rebuild for new packagekit

* Tue Jul 29 2014 ovitters <ovitters> 3.13.4-1.mga5
+ Revision: 657920
- new version 3.13.4

* Tue Jun 24 2014 ovitters <ovitters> 3.13.3-1.mga5
+ Revision: 639430
- new version 3.13.3

* Wed May 28 2014 wally <wally> 3.13.2-1.mga5
+ Revision: 627269
- exclude plugin .so from provides

  + ovitters <ovitters>
    - new version 3.13.2

* Mon May 12 2014 ovitters <ovitters> 3.12.2-1.mga5
+ Revision: 622159
- new version 3.12.2

  + wally <wally>
    - require adwaita-icon-theme instead of obsolete gnome-icon-theme

* Fri Apr 11 2014 ovitters <ovitters> 3.12.1-1.mga5
+ Revision: 613454
- new version 3.12.1

* Mon Mar 24 2014 ovitters <ovitters> 3.12.0-1.mga5
+ Revision: 607830
- new version 3.12.0

* Thu Mar 20 2014 ovitters <ovitters> 3.11.92-1.mga5
+ Revision: 606208
- new version 3.11.92

* Fri Mar 14 2014 dams <dams> 3.11.91-1.mga5
+ Revision: 603452
- use autoreconf

  + ovitters <ovitters>
    - new version 3.11.91
    - new version 3.11.90

* Thu Feb 06 2014 dams <dams> 3.11.5-1.mga5
+ Revision: 584124
- new version 3.11.5

* Tue Nov 26 2013 ovitters <ovitters> 3.10.4-1.mga4
+ Revision: 553516
- new version 3.10.4

* Mon Oct 28 2013 ovitters <ovitters> 3.10.3-1.mga4
+ Revision: 547637
- new version 3.10.3

* Tue Oct 22 2013 umeabot <umeabot> 3.10.2-2.mga4
+ Revision: 542209
- Mageia 4 Mass Rebuild

* Fri Oct 18 2013 ovitters <ovitters> 3.10.2-1.mga4
+ Revision: 520415
- new version 3.10.2

* Mon Oct 14 2013 ovitters <ovitters> 3.10.1-1.mga4
+ Revision: 497094
- new version 3.10.1

* Wed Sep 25 2013 ovitters <ovitters> 3.10.0-1.mga4
+ Revision: 485754
- based on Fedora

